Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.binding
Class JComboBoxElementsBinding

    java.lang.Object
      org.codehaus.groovy.binding.AbstractFullBinding
          groovy.swing.binding.AbstractSyntheticBinding
              groovy.swing.binding.JComboBoxElementsBinding

All Implemented Interfaces:
  ListDataListener

    class JComboBoxElementsBinding
    extends AbstractSyntheticBinding

Field Summary
`JComboBox` | `boundComboBox`

Fields inherited from class AbstractFullBinding
converter, reverseConverter, sourceBinding, targetBinding, validator

Constructor Summary
`JComboBoxElementsBinding(PropertyBinding propertyBinding, TargetBinding target)`

Method Summary
`void` | `contentsChanged(ListDataEvent e)`
`void` | `intervalAdded(ListDataEvent e)`
`void` | `intervalRemoved(ListDataEvent e)`
`void` | `propertyChange(PropertyChangeEvent event)`
`protected void` | `syntheticBind()`
`protected void` | `syntheticUnbind()`

Methods inherited from class AbstractSyntheticBinding
bind, rebind, setSourceBinding, setTargetBinding, syntheticBind, syntheticUnbind, unbind

Methods inherited from class AbstractFullBinding
getConverter, getReverseConverter, getSourceBinding, getTargetBinding, getValidator, reverseUpdate, setConverter, setReverseConverter, setSourceBinding, setTargetBinding, setValidator, update

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### boundComboBox

    JComboBox boundComboBox

Constructor Detail

### JComboBoxElementsBinding

    public JComboBoxElementsBinding(PropertyBinding propertyBinding, TargetBinding target)

Method Detail

### contentsChanged

    public void contentsChanged(ListDataEvent e)

### intervalAdded

    public void intervalAdded(ListDataEvent e)

### intervalRemoved

    public void intervalRemoved(ListDataEvent e)

### propertyChange

    public void propertyChange(PropertyChangeEvent event)

### syntheticBind

    protected void syntheticBind()

### syntheticUnbind

    protected void syntheticUnbind()

Copyright © 2003-2009 The Codehaus. All rights reserved.